import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/contractsetting/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/contractsetting/getRightMenu', 'GET', params);
}

export const getContentInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contractsetting/getSysRemindForm?is_multilang_set=true', 'GET', params);
}

export const getFormInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contractsetting/getSysMemberAddForm?is_multilang_set=true', 'GET', params);
}

export const saveMainForm = (params) => {
	return WeaTools.callApi('/api/hrm/contractsetting/saveSysRemind', 'POST', params);
}

export const saveSubForm = (params) => {
	return WeaTools.callApi('/api/hrm/contractsetting/addSysMember', 'POST', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/contractsetting/deleteSysMember', 'POST', params);
}